Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 102396 - dev-libs/glib: apply fbsd patches
Summary: dev-libs/glib: apply fbsd patches
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Other (show other bugs)
Hardware: All FreeBSD
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 103124
  Show dependency tree
 
Reported: 2005-08-13 09:25 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2006-04-12 10:50 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
glib-2.6.5-fbsd.patch (glib-2.6.5-fbsd.patch,1.89 KB, patch)
2005-08-13 09:25 UTC, Diego Elio Pettenò (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2005-08-13 09:25:04 UTC
The attached patch is currently applied by FreeBSD's ports. 
I don't know too much glib or pthread internals, but seems to be safe for 
Linux, I'm using it compiled with this patch right now and nothing crashed 
under me. 
 
If someone is able to see what this changes and can ask upstream what to do 
with this it would be really really good. 
 
Thanks, 
Diego
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-08-13 09:25:26 UTC
Created attachment 65853 [details, diff]
glib-2.6.5-fbsd.patch
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-10-24 20:58:48 UTC
Considering this fixed for 2.8... I hope